import {select,
        csv, 
        scaleLinear, 
        max,
				scaleBand,
        axisLeft,
        axisBottom
       } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');



const render = data => {
  const yValue = d => d.Land;
	const xValue = d => d.Population;
  const margin = {top: 30, bottom: 30, left: 150, right: 30};
	const innerHeight = height - margin.top - margin.bottom;
	const innerWidth = width - margin.left - margin.right;
 
  const xScale = scaleLinear()
  	.domain([0, max(data, xValue)])
		.range([0, innerWidth]);
  
  const yScale = scaleBand()
    .domain(data.map(yValue))
		.range([0, innerHeight])
		.padding(0.15);
  
  
  const g = svg
		.append('g')
  		.attr('transform', `translate(${margin.left},${margin.top})`);
  
  g.append('g').call(axisLeft(yScale));
  g.append('g')
			.call(axisBottom(xScale))
			.attr('transform', `translate(0,${innerHeight})`);
 
  g.selectAll('rect').data(data) 
  .enter().append('rect')
  	.attr('y', d => yScale(yValue(d)))
    .attr('width', d => xScale(xValue(d)))
    .attr('height', d => yScale.bandwidth())
  	.attr('fill', '#c048bc');
};


csv('data.csv').then(data => {
  data.forEach(d => {
    d.Population = +d.Population *1000;
  }); 
  render(data);
  console.log(data);
});